package com.getbubblenow.android.viewmodel;

import android.content.Context;
import androidx.lifecycle.ViewModel;
import com.getbubblenow.android.repository.DataRepository;


public class BaseViewModel extends ViewModel {

    public void buildRepositoryInstance(final Context context, final String url) {
        DataRepository.buildRepositoryInstance(context, url);
    }

    public void buildClientService(final String url) {
        DataRepository.getRepositoryInstance().buildClientService(url);
    }

    public boolean checkRepositoryInstance(){
        return DataRepository.getRepositoryInstance() == null;
    }
}